/**
 * NotificationsType.java
 *
 * File generated from the XValidationReport1::NotificationsType uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.xvalidation.core.report;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;

import org.w3c.dom.Node;
// End of user code

/**
 * Description of the class NotificationsType.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Notifications_._type", propOrder = { "notifications" })
@XmlRootElement(name = "Notifications_._type")
public class NotificationsType implements java.io.Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@XmlElementRefs({ @XmlElementRef(name = "Error", type = Error.class),
		@XmlElementRef(name = "Warning", type = Warning.class), @XmlElementRef(name = "Info", type = Info.class),
		@XmlElementRef(name = "Report", type = Report.class), @XmlElementRef(name = "Aborted", type = Aborted.class)})
	private List<Notification> notifications;

	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node xmlNodePresentation;

	public NotificationsType(List<Notification> notifications2) {
		super();
		this.notifications = notifications2;
	}

	public NotificationsType() {
		super();
	}

	public Node getXmlNodePresentation() {
		if (xmlNodePresentation == null) {
			xmlNodePresentation = ObjectFactory.getXmlNodePresentation("", "Notifications_._type", this);
		}
		return xmlNodePresentation;
	}

	public void setXmlNodePresentation(Node xmlNodePresentation) {
		this.xmlNodePresentation = xmlNodePresentation;
	}

	public List<Notification> getNotifications() {
		return notifications;
	}

	public void setNotifications(List<Notification> notifications) {
		this.notifications = notifications;
	}

}